1. Queries
E-Pay
  • Default module
    • Inital
      • Payment Types
    • Credit Card
      • Pay with card number
      • Pay with card token
      • Payment Status
      • Payment Refund
      • Payment Complete
      • Payment Void
    • Card Storage
      • Saved Card List
      • Saved Card Get
      • Saved Card Create
      • Saved Card Delete
    • Queries
      • Credit Card Bin Query / Installment
        POST
      • Credit Card Bin Query / Installments
        POST
    • ParolaparaPay
      • Create Payment (Send OTP Message)
      • Otp Verify
      • Capture
      • Cancel
      • Refund
      • Status
    • Schemas
      • Requests
        • Order Request
        • Order Item Request
        • Address
        • Customer
        • Payment Request
      • Responses
        • Installment
        • Stored Card
        • Payment Status
        • Paymentstate
      • Enums
        • Card types
  • UcuzYolu
    • Parolapay
      • Cancel
      • Capture
      • Health Check
      • Initiate
      • OTP verify
      • Payment Status
      • Refund
      • ResendOTp
      • Status
  • UcuzYolu
    • Parolapay
      • Cancel
      • Capture
      • Health Check
      • Initiate
      • OTP verify
      • Payment Status
      • Refund
      • ResendOTp
      • Status
  1. Queries

Credit Card Bin Query / Installment

Developing
POST
/query/bin

Request

Authorization
Send your HTTP requests with an
Authorization
header that contains the word Basic followed by a space and a base64-encoded string username:password
Example:
Authorization: Basic *****************
Body Params application/json

Example
{
    "bin": "52845600",
    "total": 1200
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'http://pay.tripingram.local/query/bin' \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '{
    "bin": "52845600",
    "total": 1200
}'

Responses

🟢200OK
application/json
Bodyapplication/json

Example
{
    "data": [
        {
            "installment": "direct_rate_others",
            "real_installment": 1,
            "bin": "52845600",
            "amount": 1200,
            "margin": 0,
            "amount_per_installment": 1200,
            "total": 1200,
            "bank_name": null,
            "card_logo": null,
            "card_family": null
        }
    ],
    "success": true,
    "code": 0,
    "message": ""
}
Modified at 2024-01-30 03:12:17
Previous
Saved Card Delete
Next
Credit Card Bin Query / Installments
Built with